op(400, xfx, +).   % infix operator
op(300, yf, @).    % postfix operator

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).

assign(pick_given_ratio, 4).
assign(max_mem, 20000).

set(knuth_bendix).

set(hyper_res).
set(order_history).
set(unit_deletion).
set(para_from_units_only).
set(para_into_units_only).

assign(max_weight, 13).
assign(neg_weight, -10).

list(usable).
x = x.
end_of_list.

list(sos).
x + y != z + u | (y@ + z) + u = x.
end_of_list.

formula_list(usable).
-(all x y z (
              x@ + x = y@ + y &
              (x@ + x) + y = y &
              x + y = y + x &
              (x + y) + z = x + (y + z))).
end_of_list.

